Right-click at coordinates
POST/computers/{id}/right-click
Perform a right mouse click at the specified x,y coordinates. Coordinates are screenshot pixel positions. Optionally specify tab_id (browser sessions only)
Path Parameters
id: string
Body ParametersJSON
tab_id: optional string
x: optional number
y: optional number
Returns
Right-click at coordinates
curl https://api.tzafon.ai/computers/$ID/right-click \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $TZAFON_API_KEY" \
-d '{}'{
"error_message": "error_message",
"executed_tab_id": "executed_tab_id",
"page_context": {
"device_scale_factor": 0,
"is_main_tab": true,
"page_height": 0,
"page_width": 0,
"scroll_x": 0,
"scroll_y": 0,
"tab_id": "tab_id",
"title": "title",
"url": "url",
"viewport_height": 0,
"viewport_width": 0
},
"request_id": "request_id",
"result": {
"foo": "bar"
},
"status": "status",
"timestamp": "timestamp"
}Returns Examples
{
"error_message": "error_message",
"executed_tab_id": "executed_tab_id",
"page_context": {
"device_scale_factor": 0,
"is_main_tab": true,
"page_height": 0,
"page_width": 0,
"scroll_x": 0,
"scroll_y": 0,
"tab_id": "tab_id",
"title": "title",
"url": "url",
"viewport_height": 0,
"viewport_width": 0
},
"request_id": "request_id",
"result": {
"foo": "bar"
},
"status": "status",
"timestamp": "timestamp"
}